
From: Matt Mackall <mpm@selenic.com>

Build fix for NFS ACLs and cleanup of POSIX ACL config.

Signed-off-by: Matt Mackall <mpm@selenic.com>
DESC
Include FS_POSIX_ACL if nfs server needs it
EDESC
From: NeilBrown <neilb@cse.unsw.edu.au>

The ACL extension to NFS recently added to ] -mm needs the following to
compile correctly (if e.g. you have selected the V4 server, but no ACL support
in filesystems)

Signed-off-by: Neil Brown <neilb@cse.unsw.edu.au>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/Kconfig |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN fs/Kconfig~nfs-acl-build-fix-posix-acl-config-tidy fs/Kconfig
--- 25/fs/Kconfig~nfs-acl-build-fix-posix-acl-config-tidy	2005-02-10 19:57:30.000000000 -0800
+++ 25-akpm/fs/Kconfig	2005-02-10 19:58:18.000000000 -0800
@@ -29,6 +29,7 @@ config EXT2_FS_XATTR
 config EXT2_FS_POSIX_ACL
 	bool "Ext2 POSIX Access Control Lists"
 	depends on EXT2_FS_XATTR
+	select FS_POSIX_ACL
 	help
 	  Posix Access Control Lists (ACLs) support permissions for users and
 	  groups beyond the owner/group/world scheme.
@@ -97,6 +98,7 @@ config EXT3_FS_XATTR
 config EXT3_FS_POSIX_ACL
 	bool "Ext3 POSIX Access Control Lists"
 	depends on EXT3_FS_XATTR
+	select FS_POSIX_ACL
 	help
 	  Posix Access Control Lists (ACLs) support permissions for users and
 	  groups beyond the owner/group/world scheme.
@@ -224,6 +226,7 @@ config REISERFS_FS_XATTR
 config REISERFS_FS_POSIX_ACL
 	bool "ReiserFS POSIX Access Control Lists"
 	depends on REISERFS_FS_XATTR
+	select FS_POSIX_ACL
 	help
 	  Posix Access Control Lists (ACLs) support permissions for users and
 	  groups beyond the owner/group/world scheme.
@@ -257,6 +260,7 @@ config JFS_FS
 config JFS_POSIX_ACL
 	bool "JFS POSIX Access Control Lists"
 	depends on JFS_FS
+	select FS_POSIX_ACL
 	help
 	  Posix Access Control Lists (ACLs) support permissions for users and
 	  groups beyond the owner/group/world scheme.
@@ -301,8 +305,7 @@ config FS_POSIX_ACL
 # 	Never use this symbol for ifdefs.
 #
 	bool
-	depends on EXT2_FS_POSIX_ACL || EXT3_FS_POSIX_ACL || JFS_POSIX_ACL || REISERFS_FS_POSIX_ACL || NFSD_V4
-	default y
+	default n
 
 source "fs/xfs/Kconfig"
 
@@ -1447,6 +1450,7 @@ config NFSD_V3
 config NFSD_ACL
 	bool "NFS_ACL protocol extension"
 	depends on NFSD_V3
+	select FS_POSIX_ACL
 	help
 	  Implement the NFS_ACL protocol extension for manipulating POSIX
 	  Access Control Lists on exported file systems.  The clients must
_
